Bug 1311917 - cannot use bind DN in form User@dc
cannot use bind DN in form User@dc
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Nishanth Thomas
sds-qe-bugs
:
Depends On:
Blocks: 1346350
  Show dependency treegraph
 
Reported: 2016-02-25 05:36 EST by Martin Kudlej
Modified: 2017-03-23 00:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Active directory short form bind DN in the form of “User@dc” is not supported As a workaround, use a connection string with a traditional bind DN in the form of the full DN path. For example: cn=userA,ou=users,=dc=myDomain and provide only the user name.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:03:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-25 05:36:03 EST
Description of problem:
I use this command for querying to AD server:
$ ldapsearch -x -h _host_ -D "user@usm.redhat.com" -W -b "cn=users,dc=usm,dc=redhat,dc=com"

If I configure user@usm.redhat.com as "Bind Account", Skyring is not able to connect to LDAP server.

Version-Release number of selected component (if applicable):
rhscon-ceph-0.0.6-8.el7.x86_64
rhscon-core-0.0.8-7.el7.x86_64
rhscon-ui-0.0.16-1.el7.noarch

How reproducible:
100%

Expected results:
It will be possible to configure bind DN as User@dc OR UI will show error message that this is not right form of Bind Account.
Comment 3 Nishanth Thomas 2016-06-21 08:28:21 EDT
Needs to put doc text per bug scrub meeting

Note You need to log in before you can comment on or make changes to this bug.